/// <reference types="knockout" />
import * as types from "./types";
export interface StyleObservable {
    alignContent?: types.AlignContent | KnockoutObservable<types.AlignContent>;
    alignItems?: types.CssValue<types.AlignItems> | KnockoutObservable<types.CssValue<types.AlignItems>>;
    alignSelf?: types.CssValue<types.AlignSelf> | KnockoutObservable<types.CssValue<types.AlignSelf>>;
    alignmentAdjust?: any | KnockoutObservable<any>;
    alignmentBaseline?: types.AlignmentBaseline | KnockoutObservable<types.AlignmentBaseline>;
    animation?: types.CssValueString | KnockoutObservable<types.CssValueString>;
    animationDelay?: any | KnockoutObservable<any>;
    animationDirection?: types.CssGlobalValues | types.AnimationDirection | KnockoutObservable<types.CssGlobalValues | types.AnimationDirection>;
    animationDuration?: types.CssValue<string> | KnockoutObservable<types.CssValue<string>>;
    animationFillMode?: types.AnimationFillMode | KnockoutObservable<types.AnimationFillMode>;
    animationIterationCount?: types.CssValue<number> | "infinite" | KnockoutObservable<types.CssValue<number> | "infinite">;
    animationName?: types.CssValue<string> | KnockoutObservable<types.CssValue<string>>;
    animationPlayState?: types.CssValue<types.CssAnimationPlayState> | KnockoutObservable<types.CssValue<types.CssAnimationPlayState>>;
    animationTimingFunction?: types.CssValue<types.CssTimingFunction> | KnockoutObservable<types.CssValue<types.CssTimingFunction>>;
    appearance?: types.CssValue<"auto" | "none"> | KnockoutObservable<types.CssValue<"auto" | "none">>;
    backfaceVisibility?: types.CssGlobalValues | "visible" | "hidden" | KnockoutObservable<types.CssGlobalValues | "visible" | "hidden">;
    background?: any | KnockoutObservable<any>;
    backgroundAttachment?: types.BackgroundAttachment | KnockoutObservable<types.BackgroundAttachment>;
    backgroundBlendMode?: types.CssValue<types.CssBlendMode> | KnockoutObservable<types.CssValue<types.CssBlendMode>>;
    backgroundClip?: types.CssValue<types.CssBox | "text"> | KnockoutObservable<types.CssValue<types.CssBox | "text">>;
    backgroundColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    backgroundComposite?: any | KnockoutObservable<any>;
    backgroundImage?: types.CssValue<types.CssImage> | KnockoutObservable<types.CssValue<types.CssImage>>;
    backgroundOrigin?: types.CssValue<types.CssBox> | KnockoutObservable<types.CssValue<types.CssBox>>;
    backgroundPosition?: types.CssValue<types.CssPosition> | KnockoutObservable<types.CssValue<types.CssPosition>>;
    backgroundRepeat?: types.CssValue<types.CssRepeatStyle | string> | KnockoutObservable<types.CssValue<types.CssRepeatStyle | string>>;
    backgroundSize?: types.BackgroundSize | types.CssLength | types.CssPercentage | types.CssGlobalValues | KnockoutObservable<types.BackgroundSize | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    baselineShift?: any | KnockoutObservable<any>;
    behavior?: any | KnockoutObservable<any>;
    border?: any | KnockoutObservable<any>;
    borderBottom?: types.CssBorderShorthand | KnockoutObservable<types.CssBorderShorthand>;
    borderBottomColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    borderBottomLeftRadius?: any | KnockoutObservable<any>;
    borderBottomRightRadius?: any | KnockoutObservable<any>;
    borderBottomStyle?: types.CssValue<types.CssLineStyle> | KnockoutObservable<types.CssValue<types.CssLineStyle>>;
    borderBottomWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    borderCollapse?: any | KnockoutObservable<any>;
    borderColor?: types.CssValue<types.CssColorSet> | KnockoutObservable<types.CssValue<types.CssColorSet>>;
    borderCornerShape?: any | KnockoutObservable<any>;
    borderImageSource?: types.CssValue<types.CssImage> | KnockoutObservable<types.CssValue<types.CssImage>>;
    borderImageWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    borderLeft?: types.CssBorderShorthand | KnockoutObservable<types.CssBorderShorthand>;
    borderLeftColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    borderLeftStyle?: types.CssValue<types.CssLineStyle> | KnockoutObservable<types.CssValue<types.CssLineStyle>>;
    borderLeftWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    borderRadius?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    borderRight?: types.CssBorderShorthand | KnockoutObservable<types.CssBorderShorthand>;
    borderRightColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    borderRightStyle?: types.CssValue<types.CssLineStyle> | KnockoutObservable<types.CssValue<types.CssLineStyle>>;
    borderRightWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    borderSpacing?: types.CssLength | string | "inherit" | KnockoutObservable<types.CssLength | string | "inherit">;
    borderStyle?: types.CssValue<types.CssLineStyleSet> | KnockoutObservable<types.CssValue<types.CssLineStyleSet>>;
    borderTop?: types.CssBorderShorthand | KnockoutObservable<types.CssBorderShorthand>;
    borderTopColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    borderTopLeftRadius?: any | KnockoutObservable<any>;
    borderTopRightRadius?: any | KnockoutObservable<any>;
    borderTopStyle?: types.CssValue<types.CssLineStyle> | KnockoutObservable<types.CssValue<types.CssLineStyle>>;
    borderTopWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    borderWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    bottom?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues> | KnockoutObservable<types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>>;
    boxAlign?: any | KnockoutObservable<any>;
    boxDecorationBreak?: any | KnockoutObservable<any>;
    boxDirection?: any | KnockoutObservable<any>;
    boxLineProgression?: any | KnockoutObservable<any>;
    boxLines?: any | KnockoutObservable<any>;
    boxOrdinalGroup?: any | KnockoutObservable<any>;
    boxFlex?: number | KnockoutObservable<number>;
    boxSizing?: types.CssGlobalValues | "content-box" | "border-box" | KnockoutObservable<types.CssGlobalValues | "content-box" | "border-box">;
    boxShadow?: types.CssValueGeneral | KnockoutObservable<types.CssValueGeneral>;
    boxFlexGroup?: number | KnockoutObservable<number>;
    breakAfter?: types.BreakAfter | KnockoutObservable<types.BreakAfter>;
    breakBefore?: types.BreakBefore | KnockoutObservable<types.BreakBefore>;
    breakInside?: types.BreakInside | KnockoutObservable<types.BreakInside>;
    captionSide?: types.CaptionSide | KnockoutObservable<types.CaptionSide>;
    clear?: types.CssGlobalValues | "none" | "left" | "right" | "both" | KnockoutObservable<types.CssGlobalValues | "none" | "left" | "right" | "both">;
    clip?: any | KnockoutObservable<any>;
    clipRule?: any | KnockoutObservable<any>;
    color?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    columnCount?: number | KnockoutObservable<number>;
    columnFill?: any | KnockoutObservable<any>;
    columnGap?: any | KnockoutObservable<any>;
    columnRule?: any | KnockoutObservable<any>;
    columnRuleColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    columnRuleWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    columnSpan?: any | KnockoutObservable<any>;
    columnWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    columns?: any | KnockoutObservable<any>;
    content?: types.CssValueString | KnockoutObservable<types.CssValueString>;
    counterIncrement?: any | KnockoutObservable<any>;
    counterReset?: any | KnockoutObservable<any>;
    cue?: any | KnockoutObservable<any>;
    cueAfter?: any | KnockoutObservable<any>;
    cursor?: types.Cursor | KnockoutObservable<types.Cursor>;
    direction?: types.CssGlobalValues | "ltr" | "rtl" | KnockoutObservable<types.CssGlobalValues | "ltr" | "rtl">;
    display?: types.CssValue<types.CssGlobalValues | types.CssDisplay> | KnockoutObservable<types.CssValue<types.CssGlobalValues | types.CssDisplay>>;
    dominantBaseline?: types.DominantBaseline | KnockoutObservable<types.DominantBaseline>;
    emptyCells?: types.CssGlobalValues | "show" | "hide" | KnockoutObservable<types.CssGlobalValues | "show" | "hide">;
    fill?: types.CssColor | "context-stroke" | "context-fill" | KnockoutObservable<types.CssColor | "context-stroke" | "context-fill">;
    fillOpacity?: number | KnockoutObservable<number>;
    fillRule?: "nonzero" | "evenodd" | KnockoutObservable<"nonzero" | "evenodd">;
    filter?: string | KnockoutObservable<string>;
    flex?: number | string | KnockoutObservable<number | string>;
    flexAlign?: any | KnockoutObservable<any>;
    flexBasis?: any | KnockoutObservable<any>;
    flexDirection?: types.FlexDirection | KnockoutObservable<types.FlexDirection>;
    flexFlow?: any | KnockoutObservable<any>;
    flexGrow?: number | KnockoutObservable<number>;
    flexItemAlign?: any | KnockoutObservable<any>;
    flexLinePack?: any | KnockoutObservable<any>;
    flexPositive?: any | KnockoutObservable<any>;
    flexNegative?: any | KnockoutObservable<any>;
    flexOrder?: any | KnockoutObservable<any>;
    flexShrink?: number | KnockoutObservable<number>;
    flexWrap?: types.FlexWrap | KnockoutObservable<types.FlexWrap>;
    float?: types.CssGlobalValues | "left" | "right" | "none" | "inline-start" | "inline-end" | KnockoutObservable<types.CssGlobalValues | "left" | "right" | "none" | "inline-start" | "inline-end">;
    flowFrom?: any | KnockoutObservable<any>;
    font?: any | KnockoutObservable<any>;
    fontFamily?: any | KnockoutObservable<any>;
    fontKerning?: types.CssGlobalValues | "auto" | "normal" | "none" | KnockoutObservable<types.CssGlobalValues | "auto" | "normal" | "none">;
    fontSize?: types.CssValue<types.CssFontSize> | KnockoutObservable<types.CssValue<types.CssFontSize>>;
    fontSizeAdjust?: any | KnockoutObservable<any>;
    fontStretch?: types.FontStretch | KnockoutObservable<types.FontStretch>;
    fontStyle?: types.CssGlobalValues | "normal" | "italic" | "oblique" | KnockoutObservable<types.CssGlobalValues | "normal" | "italic" | "oblique">;
    fontSynthesis?: any | KnockoutObservable<any>;
    fontVariant?: any | KnockoutObservable<any>;
    fontVariantAlternates?: any | KnockoutObservable<any>;
    fontWeight?: types.CssFontWeight | KnockoutObservable<types.CssFontWeight>;
    gridArea?: any | KnockoutObservable<any>;
    gridAutoColumns?: any | KnockoutObservable<any>;
    gridAutoFlow?: any | KnockoutObservable<any>;
    gridAutoRows?: any | KnockoutObservable<any>;
    gridColumn?: any | KnockoutObservable<any>;
    gridColumnGap?: any | KnockoutObservable<any>;
    gridColumnEnd?: any | KnockoutObservable<any>;
    gridColumnStart?: any | KnockoutObservable<any>;
    gridGap?: any | KnockoutObservable<any>;
    gridRow?: any | KnockoutObservable<any>;
    gridRowEnd?: any | KnockoutObservable<any>;
    gridRowGap?: any | KnockoutObservable<any>;
    gridRowStart?: any | KnockoutObservable<any>;
    gridRowPosition?: any | KnockoutObservable<any>;
    gridRowSpan?: any | KnockoutObservable<any>;
    gridTemplate?: any | KnockoutObservable<any>;
    gridTemplateAreas?: any | KnockoutObservable<any>;
    gridTemplateColumns?: any | KnockoutObservable<any>;
    gridTemplateRows?: any | KnockoutObservable<any>;
    height?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues> | KnockoutObservable<types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>>;
    hyphenateLimitChars?: any | KnockoutObservable<any>;
    hyphenateLimitLines?: any | KnockoutObservable<any>;
    hyphenateLimitZone?: any | KnockoutObservable<any>;
    hyphens?: types.CssGlobalValues | string | "none" | "manual" | "auto" | KnockoutObservable<types.CssGlobalValues | string | "none" | "manual" | "auto">;
    imeMode?: types.CssGlobalValues | "auto" | "normal" | "active" | "inactive" | "disabled" | KnockoutObservable<types.CssGlobalValues | "auto" | "normal" | "active" | "inactive" | "disabled">;
    justifyContent?: types.JustifyContent | KnockoutObservable<types.JustifyContent>;
    justifyItems?: types.JustifyItems | KnockoutObservable<types.JustifyItems>;
    justifySelf?: types.JustifySelf | KnockoutObservable<types.JustifySelf>;
    layoutGrid?: any | KnockoutObservable<any>;
    layoutGridChar?: any | KnockoutObservable<any>;
    layoutGridLine?: any | KnockoutObservable<any>;
    layoutGridMode?: any | KnockoutObservable<any>;
    layoutGridType?: any | KnockoutObservable<any>;
    left?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues> | KnockoutObservable<types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>>;
    letterSpacing?: any | KnockoutObservable<any>;
    lineBreak?: any | KnockoutObservable<any>;
    lineClamp?: number | KnockoutObservable<number>;
    lineHeight?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    listStyle?: any | KnockoutObservable<any>;
    listStyleImage?: any | KnockoutObservable<any>;
    listStylePosition?: types.CssGlobalValues | "inside" | "outside" | KnockoutObservable<types.CssGlobalValues | "inside" | "outside">;
    listStyleType?: any | KnockoutObservable<any>;
    margin?: any | KnockoutObservable<any>;
    marginBottom?: any | KnockoutObservable<any>;
    marginLeft?: any | KnockoutObservable<any>;
    marginRight?: any | KnockoutObservable<any>;
    marginTop?: types.CssValueGeneral | KnockoutObservable<types.CssValueGeneral>;
    marqueeDirection?: any | KnockoutObservable<any>;
    marqueeStyle?: any | KnockoutObservable<any>;
    mask?: any | KnockoutObservable<any>;
    maskBorder?: any | KnockoutObservable<any>;
    maskBorderRepeat?: any | KnockoutObservable<any>;
    maskBorderSlice?: any | KnockoutObservable<any>;
    maskBorderSource?: any | KnockoutObservable<any>;
    maskBorderWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    maskClip?: any | KnockoutObservable<any>;
    maskOrigin?: any | KnockoutObservable<any>;
    maxFontSize?: any | KnockoutObservable<any>;
    maxHeight?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    maxWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    minHeight?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    minWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    mixBlendMode?: types.CssValue<types.CssBlendMode> | KnockoutObservable<types.CssValue<types.CssBlendMode>>;
    objectFit?: types.CssObjectFit | KnockoutObservable<types.CssObjectFit>;
    objectPosition?: string | types.CssGlobalValues | KnockoutObservable<string | types.CssGlobalValues>;
    opacity?: number | types.CssGlobalValues | KnockoutObservable<number | types.CssGlobalValues>;
    order?: number | KnockoutObservable<number>;
    orphans?: number | KnockoutObservable<number>;
    outline?: any | KnockoutObservable<any>;
    outlineColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    outlineStyle?: types.OutlineStyle | KnockoutObservable<types.OutlineStyle>;
    outlineOffset?: any | KnockoutObservable<any>;
    outlineWidth?: types.CssGlobalValues | "thin" | "medium" | "thick" | types.CssLength | KnockoutObservable<types.CssGlobalValues | "thin" | "medium" | "thick" | types.CssLength>;
    overflow?: types.CssValue<types.CssOverflow> | KnockoutObservable<types.CssValue<types.CssOverflow>>;
    overflowStyle?: any | KnockoutObservable<any>;
    overflowWrap?: types.CssGlobalValues | "normal" | "break-word" | KnockoutObservable<types.CssGlobalValues | "normal" | "break-word">;
    overflowX?: types.CssValue<types.CssOverflow> | KnockoutObservable<types.CssValue<types.CssOverflow>>;
    overflowY?: types.CssValue<types.CssOverflow> | KnockoutObservable<types.CssValue<types.CssOverflow>>;
    padding?: any | KnockoutObservable<any>;
    paddingBottom?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    paddingLeft?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    paddingRight?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    paddingTop?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    pageBreakAfter?: types.PageBreakAfter | KnockoutObservable<types.PageBreakAfter>;
    pageBreakBefore?: types.PageBreakBefore | KnockoutObservable<types.PageBreakBefore>;
    pageBreakInside?: types.CssGlobalValues | "auto" | "avoid" | KnockoutObservable<types.CssGlobalValues | "auto" | "avoid">;
    pause?: any | KnockoutObservable<any>;
    pauseAfter?: any | KnockoutObservable<any>;
    pauseBefore?: any | KnockoutObservable<any>;
    perspective?: any | KnockoutObservable<any>;
    perspectiveOrigin?: any | KnockoutObservable<any>;
    pointerEvents?: types.PointerEvents | KnockoutObservable<types.PointerEvents>;
    position?: types.PositionX | KnockoutObservable<types.PositionX>;
    punctuationTrim?: any | KnockoutObservable<any>;
    quotes?: any | KnockoutObservable<any>;
    regionFragment?: any | KnockoutObservable<any>;
    resize?: types.CssGlobalValues | "none" | "both " | "horizontal" | "vertical" | KnockoutObservable<types.CssGlobalValues | "none" | "both " | "horizontal" | "vertical">;
    restAfter?: any | KnockoutObservable<any>;
    restBefore?: any | KnockoutObservable<any>;
    right?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues> | KnockoutObservable<types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>>;
    rubyAlign?: types.CssGlobalValues | "start" | "center" | "space-between" | "space-around" | KnockoutObservable<types.CssGlobalValues | "start" | "center" | "space-between" | "space-around">;
    rubyPosition?: types.CssGlobalValues | "over" | "under" | "inter-character" | KnockoutObservable<types.CssGlobalValues | "over" | "under" | "inter-character">;
    rx?: number | KnockoutObservable<number>;
    ry?: number | KnockoutObservable<number>;
    shapeImageThreshold?: any | KnockoutObservable<any>;
    shapeInside?: any | KnockoutObservable<any>;
    shapeMargin?: any | KnockoutObservable<any>;
    shapeOutside?: any | KnockoutObservable<any>;
    speak?: any | KnockoutObservable<any>;
    speakAs?: any | KnockoutObservable<any>;
    src?: types.CssValueString | KnockoutObservable<types.CssValueString>;
    stroke?: string | KnockoutObservable<string>;
    strokeDasharray?: number[] | KnockoutObservableArray<number>;
    strokeDashoffset?: types.CssValue<types.CssGlobalValues | types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssGlobalValues | types.CssLength | types.CssPercentage>>;
    strokeLinecap?: types.CssGlobalValues | "butt" | "round" | "square" | KnockoutObservable<types.CssGlobalValues | "butt" | "round" | "square">;
    strokeOpacity?: number | KnockoutObservable<number>;
    strokeWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    tabSize?: any | KnockoutObservable<any>;
    tableLayout?: any | KnockoutObservable<any>;
    textAnchor?: "start" | "middle" | "end" | "inherit" | KnockoutObservable<"start" | "middle" | "end" | "inherit">;
    textAlign?: types.TextAlign | KnockoutObservable<types.TextAlign>;
    textAlignLast?: types.TextAlignLast | KnockoutObservable<types.TextAlignLast>;
    textDecoration?: any | KnockoutObservable<any>;
    textDecorationColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    textDecorationLine?: any | KnockoutObservable<any>;
    textDecorationLineThrough?: any | KnockoutObservable<any>;
    textDecorationNone?: any | KnockoutObservable<any>;
    textDecorationOverline?: any | KnockoutObservable<any>;
    textDecorationSkip?: any | KnockoutObservable<any>;
    textDecorationStyle?: types.CssGlobalValues | "solid" | "double" | "dotted" | "dashed" | "wavy" | KnockoutObservable<types.CssGlobalValues | "solid" | "double" | "dotted" | "dashed" | "wavy">;
    textDecorationUnderline?: any | KnockoutObservable<any>;
    textEmphasis?: any | KnockoutObservable<any>;
    textEmphasisColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    textEmphasisStyle?: any | KnockoutObservable<any>;
    textHeight?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    textIndent?: any | KnockoutObservable<any>;
    textJustifyTrim?: any | KnockoutObservable<any>;
    textKashidaSpace?: any | KnockoutObservable<any>;
    textLineThrough?: any | KnockoutObservable<any>;
    textLineThroughColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    textLineThroughMode?: any | KnockoutObservable<any>;
    textLineThroughStyle?: any | KnockoutObservable<any>;
    textLineThroughWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    textOverflow?: types.CssGlobalValues | "clip" | "ellipsis" | string | KnockoutObservable<types.CssGlobalValues | "clip" | "ellipsis" | string>;
    textOverline?: any | KnockoutObservable<any>;
    textOverlineColor?: types.CssValue<types.CssColor> | KnockoutObservable<types.CssValue<types.CssColor>>;
    textOverlineMode?: any | KnockoutObservable<any>;
    textOverlineStyle?: any | KnockoutObservable<any>;
    textOverlineWidth?: types.CssValue<types.CssLength | types.CssPercentage> | KnockoutObservable<types.CssValue<types.CssLength | types.CssPercentage>>;
    textRendering?: types.CssGlobalValues | "auto" | "optimizeSpeed" | "optimizeLegibility" | "geometricPrecision" | KnockoutObservable<types.CssGlobalValues | "auto" | "optimizeSpeed" | "optimizeLegibility" | "geometricPrecision">;
    textScript?: any | KnockoutObservable<any>;
    textShadow?: any | KnockoutObservable<any>;
    textTransform?: types.TextTransform | KnockoutObservable<types.TextTransform>;
    textUnderlinePosition?: any | KnockoutObservable<any>;
    textUnderlineStyle?: any | KnockoutObservable<any>;
    top?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues> | KnockoutObservable<types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>>;
    touchAction?: types.TouchAction | KnockoutObservable<types.TouchAction>;
    transform?: types.CssTransformFunction | KnockoutObservable<types.CssTransformFunction>;
    webKitTransform?: types.CssTransformFunction | KnockoutObservable<types.CssTransformFunction>;
    msTransform?: types.CssTransformFunction | KnockoutObservable<types.CssTransformFunction>;
    transformOrigin?: any | KnockoutObservable<any>;
    transformOriginZ?: any | KnockoutObservable<any>;
    transformStyle?: types.CssGlobalValues | "flat" | "preserve-3d" | KnockoutObservable<types.CssGlobalValues | "flat" | "preserve-3d">;
    transition?: any | KnockoutObservable<any>;
    transitionDelay?: any | KnockoutObservable<any>;
    transitionDuration?: any | KnockoutObservable<any>;
    transitionProperty?: types.CssValueString | KnockoutObservable<types.CssValueString>;
    transitionTimingFunction?: types.CssTimingFunction | KnockoutObservable<types.CssTimingFunction>;
    unicodeBidi?: any | KnockoutObservable<any>;
    unicodeRange?: any | KnockoutObservable<any>;
    userFocus?: any | KnockoutObservable<any>;
    userInput?: any | KnockoutObservable<any>;
    userSelect?: "auto" | "text" | "none" | "contain" | "all" | KnockoutObservable<"auto" | "text" | "none" | "contain" | "all">;
    verticalAlign?: types.VerticalAlign | KnockoutObservable<types.VerticalAlign>;
    visibility?: types.CssGlobalValues | "visible" | "hidden" | "collapse" | KnockoutObservable<types.CssGlobalValues | "visible" | "hidden" | "collapse">;
    voiceBalance?: any | KnockoutObservable<any>;
    voiceDuration?: any | KnockoutObservable<any>;
    voiceFamily?: any | KnockoutObservable<any>;
    voicePitch?: any | KnockoutObservable<any>;
    voiceRange?: any | KnockoutObservable<any>;
    voiceRate?: any | KnockoutObservable<any>;
    voiceStress?: any | KnockoutObservable<any>;
    voiceVolume?: any | KnockoutObservable<any>;
    whiteSpace?: types.CssGlobalValues | "normal" | "nowrap" | "pre" | "pre-line" | "pre-wrap" | KnockoutObservable<types.CssGlobalValues | "normal" | "nowrap" | "pre" | "pre-line" | "pre-wrap">;
    whiteSpaceTreatment?: any | KnockoutObservable<any>;
    widows?: number | KnockoutObservable<number>;
    width?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues> | KnockoutObservable<types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>>;
    willChange?: types.CssValue<"auto" | "scroll-position" | "contents" | types.CssValueString> | KnockoutObservable<types.CssValue<"auto" | "scroll-position" | "contents" | types.CssValueString>>;
    wordBreak?: types.CssGlobalValues | "normal" | "break-all" | "keep-all" | KnockoutObservable<types.CssGlobalValues | "normal" | "break-all" | "keep-all">;
    wordSpacing?: types.CssGlobalValues | "normal" | types.CssLength | types.CssPercentage | KnockoutObservable<types.CssGlobalValues | "normal" | types.CssLength | types.CssPercentage>;
    wordWrap?: types.CssGlobalValues | "normal" | "break-word" | KnockoutObservable<types.CssGlobalValues | "normal" | "break-word">;
    wrapFlow?: any | KnockoutObservable<any>;
    wrapMargin?: any | KnockoutObservable<any>;
    wrapOption?: any | KnockoutObservable<any>;
    writingMode?: types.WritingMode | KnockoutObservable<types.WritingMode>;
    zIndex?: types.CssGlobalValues | "auto" | number | KnockoutObservable<types.CssGlobalValues | "auto" | number>;
    zoom?: "auto" | number | KnockoutObservable<"auto" | number>;
}
export interface Style {
    alignContent?: types.AlignContent;
    alignItems?: types.CssValue<types.AlignItems>;
    alignSelf?: types.CssValue<types.AlignSelf>;
    alignmentAdjust?: any;
    alignmentBaseline?: types.AlignmentBaseline;
    animation?: types.CssValueString;
    animationDelay?: any;
    animationDirection?: types.CssGlobalValues | types.AnimationDirection;
    animationDuration?: types.CssValue<string>;
    animationFillMode?: types.AnimationFillMode;
    animationIterationCount?: types.CssValue<number> | "infinite";
    animationName?: types.CssValue<string>;
    animationPlayState?: types.CssValue<types.CssAnimationPlayState>;
    animationTimingFunction?: types.CssValue<types.CssTimingFunction>;
    appearance?: types.CssValue<"auto" | "none">;
    backfaceVisibility?: types.CssGlobalValues | "visible" | "hidden";
    background?: any;
    backgroundAttachment?: types.BackgroundAttachment;
    backgroundBlendMode?: types.CssValue<types.CssBlendMode>;
    backgroundClip?: types.CssValue<types.CssBox | "text">;
    backgroundColor?: types.CssValue<types.CssColor>;
    backgroundComposite?: any;
    backgroundImage?: types.CssValue<types.CssImage>;
    backgroundOrigin?: types.CssValue<types.CssBox>;
    backgroundPosition?: types.CssValue<types.CssPosition>;
    backgroundRepeat?: types.CssValue<types.CssRepeatStyle | string>;
    backgroundSize?: types.BackgroundSize | types.CssLength | types.CssPercentage | types.CssGlobalValues;
    baselineShift?: any;
    behavior?: any;
    border?: any;
    borderBottom?: types.CssBorderShorthand;
    borderBottomColor?: types.CssValue<types.CssColor>;
    borderBottomLeftRadius?: any;
    borderBottomRightRadius?: any;
    borderBottomStyle?: types.CssValue<types.CssLineStyle>;
    borderBottomWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    borderCollapse?: any;
    borderColor?: types.CssValue<types.CssColorSet>;
    borderCornerShape?: any;
    borderImageSource?: types.CssValue<types.CssImage>;
    borderImageWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    borderLeft?: types.CssBorderShorthand;
    borderLeftColor?: types.CssValue<types.CssColor>;
    borderLeftStyle?: types.CssValue<types.CssLineStyle>;
    borderLeftWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    borderRadius?: types.CssValue<types.CssLength | types.CssPercentage>;
    borderRight?: types.CssBorderShorthand;
    borderRightColor?: types.CssValue<types.CssColor>;
    borderRightStyle?: types.CssValue<types.CssLineStyle>;
    borderRightWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    borderSpacing?: types.CssLength | string | "inherit";
    borderStyle?: types.CssValue<types.CssLineStyleSet>;
    borderTop?: types.CssBorderShorthand;
    borderTopColor?: types.CssValue<types.CssColor>;
    borderTopLeftRadius?: any;
    borderTopRightRadius?: any;
    borderTopStyle?: types.CssValue<types.CssLineStyle>;
    borderTopWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    borderWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    bottom?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    boxAlign?: any;
    boxDecorationBreak?: any;
    boxDirection?: any;
    boxLineProgression?: any;
    boxLines?: any;
    boxOrdinalGroup?: any;
    boxFlex?: number;
    boxSizing?: types.CssGlobalValues | "content-box" | "border-box";
    boxShadow?: types.CssValueGeneral;
    boxFlexGroup?: number;
    breakAfter?: types.BreakAfter;
    breakBefore?: types.BreakBefore;
    breakInside?: types.BreakInside;
    captionSide?: types.CaptionSide;
    clear?: types.CssGlobalValues | "none" | "left" | "right" | "both";
    clip?: any;
    clipRule?: any;
    color?: types.CssValue<types.CssColor>;
    columnCount?: number;
    columnFill?: any;
    columnGap?: any;
    columnRule?: any;
    columnRuleColor?: types.CssValue<types.CssColor>;
    columnRuleWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    columnSpan?: any;
    columnWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    columns?: any;
    content?: types.CssValueString;
    counterIncrement?: any;
    counterReset?: any;
    cue?: any;
    cueAfter?: any;
    cursor?: types.Cursor;
    direction?: types.CssGlobalValues | "ltr" | "rtl";
    display?: types.CssValue<types.CssGlobalValues | types.CssDisplay>;
    dominantBaseline?: types.DominantBaseline;
    emptyCells?: types.CssGlobalValues | "show" | "hide";
    fill?: types.CssColor | "context-stroke" | "context-fill";
    fillOpacity?: number;
    fillRule?: "nonzero" | "evenodd";
    filter?: string;
    flex?: number | string;
    flexAlign?: any;
    flexBasis?: any;
    flexDirection?: types.FlexDirection;
    flexFlow?: any;
    flexGrow?: number;
    flexItemAlign?: any;
    flexLinePack?: any;
    flexPositive?: any;
    flexNegative?: any;
    flexOrder?: any;
    flexShrink?: number;
    flexWrap?: types.FlexWrap;
    float?: types.CssGlobalValues | "left" | "right" | "none" | "inline-start" | "inline-end";
    flowFrom?: any;
    font?: any;
    fontFamily?: any;
    fontKerning?: types.CssGlobalValues | "auto" | "normal" | "none";
    fontSize?: types.CssValue<types.CssFontSize>;
    fontSizeAdjust?: any;
    fontStretch?: types.FontStretch;
    fontStyle?: types.CssGlobalValues | "normal" | "italic" | "oblique";
    fontSynthesis?: any;
    fontVariant?: any;
    fontVariantAlternates?: any;
    fontWeight?: types.CssFontWeight;
    gridArea?: any;
    gridAutoColumns?: any;
    gridAutoFlow?: any;
    gridAutoRows?: any;
    gridColumn?: any;
    gridColumnGap?: any;
    gridColumnEnd?: any;
    gridColumnStart?: any;
    gridGap?: any;
    gridRow?: any;
    gridRowEnd?: any;
    gridRowGap?: any;
    gridRowStart?: any;
    gridRowPosition?: any;
    gridRowSpan?: any;
    gridTemplate?: any;
    gridTemplateAreas?: any;
    gridTemplateColumns?: any;
    gridTemplateRows?: any;
    height?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    hyphenateLimitChars?: any;
    hyphenateLimitLines?: any;
    hyphenateLimitZone?: any;
    hyphens?: types.CssGlobalValues | string | "none" | "manual" | "auto";
    imeMode?: types.CssGlobalValues | "auto" | "normal" | "active" | "inactive" | "disabled";
    justifyContent?: types.JustifyContent;
    justifyItems?: types.JustifyItems | KnockoutObservable<types.JustifyItems>;
    justifySelf?: types.JustifySelf;
    layoutGrid?: any;
    layoutGridChar?: any;
    layoutGridLine?: any;
    layoutGridMode?: any;
    layoutGridType?: any;
    left?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    letterSpacing?: any;
    lineBreak?: any;
    lineClamp?: number;
    lineHeight?: types.CssValue<types.CssLength | types.CssPercentage>;
    listStyle?: any;
    listStyleImage?: any;
    listStylePosition?: types.CssGlobalValues | "inside" | "outside";
    listStyleType?: any;
    margin?: any;
    marginBottom?: any;
    marginLeft?: any;
    marginRight?: any;
    marginTop?: types.CssValueGeneral;
    marqueeDirection?: any;
    marqueeStyle?: any;
    mask?: any;
    maskBorder?: any;
    maskBorderRepeat?: any;
    maskBorderSlice?: any;
    maskBorderSource?: any;
    maskBorderWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    maskClip?: any;
    maskOrigin?: any;
    maxFontSize?: any;
    maxHeight?: types.CssValue<types.CssLength | types.CssPercentage>;
    maxWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    minHeight?: types.CssValue<types.CssLength | types.CssPercentage>;
    minWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    mixBlendMode?: types.CssValue<types.CssBlendMode>;
    objectFit?: types.CssObjectFit;
    objectPosition?: string | types.CssGlobalValues;
    opacity?: number | types.CssGlobalValues;
    order?: number;
    orphans?: number;
    outline?: any;
    outlineColor?: types.CssValue<types.CssColor>;
    outlineStyle?: types.OutlineStyle;
    outlineOffset?: any;
    outlineWidth?: types.CssGlobalValues | "thin" | "medium" | "thick" | types.CssLength;
    overflow?: types.CssValue<types.CssOverflow>;
    overflowStyle?: any;
    overflowWrap?: types.CssGlobalValues | "normal" | "break-word";
    overflowX?: types.CssValue<types.CssOverflow>;
    overflowY?: types.CssValue<types.CssOverflow>;
    padding?: any;
    paddingBottom?: types.CssValue<types.CssLength | types.CssPercentage>;
    paddingLeft?: types.CssValue<types.CssLength | types.CssPercentage>;
    paddingRight?: types.CssValue<types.CssLength | types.CssPercentage>;
    paddingTop?: types.CssValue<types.CssLength | types.CssPercentage>;
    pageBreakAfter?: types.PageBreakAfter;
    pageBreakBefore?: types.PageBreakBefore;
    pageBreakInside?: types.CssGlobalValues | "auto" | "avoid";
    pause?: any;
    pauseAfter?: any;
    pauseBefore?: any;
    perspective?: any;
    perspectiveOrigin?: any;
    pointerEvents?: types.PointerEvents;
    position?: types.PositionX;
    punctuationTrim?: any;
    quotes?: any;
    regionFragment?: any;
    resize?: types.CssGlobalValues | "none" | "both " | "horizontal" | "vertical";
    restAfter?: any;
    restBefore?: any;
    right?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    rubyAlign?: types.CssGlobalValues | "start" | "center" | "space-between" | "space-around";
    rubyPosition?: types.CssGlobalValues | "over" | "under" | "inter-character";
    rx?: number;
    ry?: number;
    shapeImageThreshold?: any;
    shapeInside?: any;
    shapeMargin?: any;
    shapeOutside?: any;
    speak?: any;
    speakAs?: any;
    src?: types.CssValueString;
    stroke?: string;
    strokeDasharray?: number[];
    strokeDashoffset?: types.CssValue<types.CssGlobalValues | types.CssLength | types.CssPercentage>;
    strokeLinecap?: types.CssGlobalValues | "butt" | "round" | "square";
    strokeOpacity?: number;
    strokeWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    tabSize?: any;
    tableLayout?: any;
    textAnchor?: "start" | "middle" | "end" | "inherit";
    textAlign?: types.TextAlign;
    textAlignLast?: types.TextAlignLast;
    textDecoration?: any;
    textDecorationColor?: types.CssValue<types.CssColor>;
    textDecorationLine?: any;
    textDecorationLineThrough?: any;
    textDecorationNone?: any;
    textDecorationOverline?: any;
    textDecorationSkip?: any;
    textDecorationStyle?: types.CssGlobalValues | "solid" | "double" | "dotted" | "dashed" | "wavy";
    textDecorationUnderline?: any;
    textEmphasis?: any;
    textEmphasisColor?: types.CssValue<types.CssColor>;
    textEmphasisStyle?: any;
    textHeight?: types.CssValue<types.CssLength | types.CssPercentage>;
    textIndent?: any;
    textJustifyTrim?: any;
    textKashidaSpace?: any;
    textLineThrough?: any;
    textLineThroughColor?: types.CssValue<types.CssColor>;
    textLineThroughMode?: any;
    textLineThroughStyle?: any;
    textLineThroughWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    textOverflow?: types.CssGlobalValues | "clip" | "ellipsis" | string;
    textOverline?: any;
    textOverlineColor?: types.CssValue<types.CssColor>;
    textOverlineMode?: any;
    textOverlineStyle?: any;
    textOverlineWidth?: types.CssValue<types.CssLength | types.CssPercentage>;
    textRendering?: types.CssGlobalValues | "auto" | "optimizeSpeed" | "optimizeLegibility" | "geometricPrecision";
    textScript?: any;
    textShadow?: any;
    textTransform?: types.TextTransform;
    textUnderlinePosition?: any;
    textUnderlineStyle?: any;
    top?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    touchAction?: types.TouchAction;
    transform?: types.CssTransformFunction;
    webKitTransform?: types.CssTransformFunction;
    msTransform?: types.CssTransformFunction;
    transformOrigin?: any;
    transformOriginZ?: any;
    transformStyle?: types.CssGlobalValues | "flat" | "preserve-3d";
    transition?: any;
    transitionDelay?: any;
    transitionDuration?: any;
    transitionProperty?: types.CssValueString;
    transitionTimingFunction?: types.CssTimingFunction;
    unicodeBidi?: any;
    unicodeRange?: any;
    userFocus?: any;
    userInput?: any;
    userSelect?: "auto" | "text" | "none" | "contain" | "all";
    verticalAlign?: types.VerticalAlign;
    visibility?: types.CssGlobalValues | "visible" | "hidden" | "collapse";
    voiceBalance?: any;
    voiceDuration?: any;
    voiceFamily?: any;
    voicePitch?: any;
    voiceRange?: any;
    voiceRate?: any;
    voiceStress?: any;
    voiceVolume?: any;
    whiteSpace?: types.CssGlobalValues | "normal" | "nowrap" | "pre" | "pre-line" | "pre-wrap";
    whiteSpaceTreatment?: any;
    widows?: number;
    width?: types.CssValue<"auto" | types.CssLength | types.CssPercentage | types.CssGlobalValues>;
    willChange?: types.CssValue<"auto" | "scroll-position" | "contents" | types.CssValueString>;
    wordBreak?: types.CssGlobalValues | "normal" | "break-all" | "keep-all";
    wordSpacing?: types.CssGlobalValues | "normal" | types.CssLength | types.CssPercentage;
    wordWrap?: types.CssGlobalValues | "normal" | "break-word";
    wrapFlow?: any;
    wrapMargin?: any;
    wrapOption?: any;
    writingMode?: types.WritingMode;
    zIndex?: types.CssGlobalValues | "auto" | number;
    zoom?: "auto" | number;
}
